Bug 1994459 - Cannot change PIN
Summary: Cannot change PIN
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: AusweisApp2
Version: 34
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-17 10:32 UTC by Thomas Köller
Modified: 2021-09-24 20:12 UTC (History)
1 user (show)

Fixed In Version: AusweisApp2-1.22.2-3.fc34 AusweisApp2-1.22.2-3.el8 AusweisApp2-1.22.2-3.fc33 AusweisApp2-1.22.2-3.fc35
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-01 20:31:34 UTC
Type: Bug


Attachments (Terms of Use)
Log file from failed PIN change attempt (33.22 KB, text/plain)
2021-08-17 10:32 UTC, Thomas Köller
no flags Details

Description Thomas Köller 2021-08-17 10:32:46 UTC
Created attachment 1814704 [details]
Log file from failed PIN change attempt

Description of problem:
An attempt to change the transport PIN fails, see attached log file.


Version-Release number of selected component (if applicable):
AusweisApp2-1.20.2-11.fc34.x86_64

How reproducible:
Always

Steps to Reproduce:
Attempt to change transport PIN

Actual results:
Fails, see log file

Expected results:
PIN should be changed, of course

Additional info:
Card reader (lsusb): Bus 004 Device 003: ID 0c4b:9102 Reiner SCT Kartensysteme GmbH cyberJack RFID basis contactless smartcard reader

Apparently, there is a newer upstream version at https://github.com/Governikus/AusweisApp2/releases

Comment 1 Fedora Update System 2021-08-31 07:16:50 UTC
FEDORA-2021-b025f69683 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b025f69683

Comment 2 Fedora Update System 2021-08-31 07:16:59 UTC
FEDORA-EPEL-2021-7e4f239518 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7e4f239518

Comment 3 Fedora Update System 2021-08-31 07:17:08 UTC
FEDORA-2021-ae621237b4 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ae621237b4

Comment 4 Fedora Update System 2021-08-31 07:17:16 UTC
FEDORA-2021-5729f02f4c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5729f02f4c

Comment 5 Fedora Update System 2021-08-31 17:57:25 UTC
FEDORA-2021-ae621237b4 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ae621237b4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ae621237b4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-08-31 22:04:35 UTC
FEDORA-2021-5729f02f4c has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5729f02f4c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5729f02f4c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-08-31 22:25:54 UTC
FEDORA-EPEL-2021-7e4f239518 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7e4f239518

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-08-31 22:53:17 UTC
FEDORA-2021-b025f69683 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b025f69683`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b025f69683

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-09-01 20:31:34 UTC
FEDORA-2021-b025f69683 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-09-01 20:34:54 UTC
FEDORA-EPEL-2021-7e4f239518 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-09-01 20:49:41 UTC
FEDORA-2021-5729f02f4c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-09-24 20:12:06 UTC
FEDORA-2021-ae621237b4 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.